Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Interface IGlobalActionContext

All Known Implementing Classes:
  GlobalActionContext

public interface IGlobalActionContext

Interface that is passed to the `IGlobalActionHandler`. This interface can be extended for handling/providing more view context information.

Method Summary
`java.lang.String` `getActionId()` Returns the `GlobalActionId`
`IWorkbenchPart` `getActivePart()` Returns the active `IWorkbenchPart`
`java.lang.String` `getLabel()` Return the label for the action
`ISelection` `getSelection()` Return the selection which contains items of type defined in the `IGlobalActionHandlerContext`

Method Detail

### getActionId

    public java.lang.String getActionId()

  Returns the `GlobalActionId`

  Returns:
    Returns an `String`

### getActivePart

    public IWorkbenchPart getActivePart()

  Returns the active `IWorkbenchPart`

  Returns:
    Returns the active `IWorkbenchPart`

### getLabel

    public java.lang.String getLabel()

  Return the label for the action

  Returns:
    String

### getSelection

    public ISelection getSelection()

  Return the selection which contains items of type defined in the `IGlobalActionHandlerContext`

  Returns:
    ISelection

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.